
#include "U8glib.h"

U8GLIB_SSD1306_128X64 u8g(U8G_I2C_OPT_NONE|U8G_I2C_OPT_DEV_0);	// I2C / TWI 

void draw(void) {
  float v=analogRead(0);
  delay(50);
  float vv=map(v,420,1023,100,0);
  u8g.setFont(u8g_font_6x13);
  u8g.setPrintPos( 0, 40);
  if (vv>100) vv=100;
  u8g.print("vlag="+String(vv)+"%");
  if (vv<50) {
  u8g.setPrintPos( 0, 50);
  u8g.print("alarm vlag <50%");
  digitalWrite(8,HIGH);}
  else {
  u8g.setPrintPos( 0, 50);
  u8g.print("vlag normal");
  digitalWrite(8,LOW);}
}

void setup(void) {
  if ( u8g.getMode() == U8G_MODE_R3G3B2 ) {
    u8g.setColorIndex(255);     // white
  }
  else if ( u8g.getMode() == U8G_MODE_GRAY2BIT ) {
    u8g.setColorIndex(3);         // max intensity
  }
  else if ( u8g.getMode() == U8G_MODE_BW ) {
    u8g.setColorIndex(1);         // pixel on
  }
  else if ( u8g.getMode() == U8G_MODE_HICOLOR ) {
    u8g.setHiColorByRGB(255,255,255);
  }
  
 pinMode(8, OUTPUT);
 pinMode(0, INPUT);
 Serial.begin(9600);
}

void loop(void) {
  u8g.firstPage();  
  do {
    draw();
  } while( u8g.nextPage() );
}
